Bug 50947 - initrd's don't load properly in lilo
initrd's don't load properly in lilo
Product: Red Hat Public Beta
Classification: Retired
Component: lilo (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-05 08:44 EDT by Bernd Bartmann
Modified: 2007-04-18 12:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-04 07:59:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2001-08-05 08:44:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.2.19bb01-ide+raid+ipsec

Description of problem:
My notebook locks hard when booting the kernel. Last message is:
RAMDISK: Compressed image found at block 0

How reproducible:

Steps to Reproduce:
1. Install ROSWELL on a ACER Travelmate 522TXV
2. After installation, the system locks hard on every boot

Additional info:

My notebook is a ACER Travelmate 522TXV, PIII 600, 192 MB memory, ATI RAGE
Comment 1 Need Real Name 2001-08-06 09:04:51 EDT
I also experienced this same problem, however, I'm running ROSWELL on a Dell
OptiPlex GX1 desktop computer.  To resolve the problem, I had to boot from the
boot/rescue floppy and remove the initrd line from /etc/lilo.conf and run
/sbin/lilo.  Once I stopped trying to load the initrd, my machine booted with no
Comment 2 Bernd Bartmann 2001-08-06 09:44:40 EDT
Seems to be really INITRD related. When I start my system from the lilo prompt 
with "linux noinitrd" everything is fine. I commented out the initrd line from 
lilo.conf, reinstalled lilo and now my system boots without a problem.
Comment 3 Arjan van de Ven 2001-08-06 09:50:18 EDT
ok so both of you are using lilo not grub ?
also, could you paste the "e820 info" (eg the memory  map in the beginning of
"dmesg", the lines with "BIOS-e820:" in them)
Comment 4 Bernd Bartmann 2001-08-06 10:14:48 EDT
Yes, I4m using lilo and not grub. Here comes the e820 info you requested:

BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000bff0000 (usable)
 BIOS-e820: 000000000bff0000 - 000000000bff8000 (ACPI data)
 BIOS-e820: 000000000bff8000 - 000000000c000000 (ACPI NVS)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)

Comment 5 Glen Foster 2001-08-06 18:42:33 EDT
We (Red Hat) should try to fix this for the next release.
Comment 6 Need Real Name 2001-08-09 11:09:30 EDT
I'm using lilo and here's the info asked for (this is without loading initrd):

 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000008000000 (usable)
 BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)

Hope this helps.
Comment 7 Josh Wyatt 2001-08-14 17:53:54 EDT
I am seeing the same thing.  I am using a Dell Optiplex GX150, celeron 600.
It's worth noting that this only happened after running an upgrade from 7.1 to
roswell, with ext3 migration.
I also ran a full install on this very same machine, and did not experience this
Both times I chose lilo.  In the broken (upgrade) case, disabling the ramdisk
(with "lilo: linux noinitrd" at boot time) allowed the machine to boot.

Here's the boot info requested earlier:
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000007e07000 (usable)
 BIOS-e820: 0000000007e07000 - 0000000007e26000 (ACPI data)
 BIOS-e820: 0000000007e26000 - 0000000008000000 (reserved)
 BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)

Comment 8 Need Real Name 2001-08-20 10:31:54 EDT
Just a quick update:   I did a clean install of ROSWELL last Friday due to some
performance problems that seemed to stem from doing an "upgrade".  When I
rebooted my machine, I encountered the same problem with it just hanging.  When
I selected linux with the 'noinitrd' option, it loaded fine.  Perhaps it's not
just with the upgrade from 7.1 to ROSWELL.
Comment 9 A.J. Aranyosi 2001-09-10 18:01:15 EDT
Same problem, different solution:
I had this happen multiple times on two different Thinkpad T22 machines. 
Commenting out linear in lilo.conf and rerunning lilo fixed it.
Comment 10 Jeremy Katz 2002-06-04 02:46:57 EDT
Does this happen with the final 7.2 release?
Comment 11 Need Real Name 2002-06-04 07:59:15 EDT
If I remember correctly, once I installed the final 7.2 release, I didn't
encounter this problem anymore.
Comment 12 Jeremy Katz 2002-06-21 16:01:39 EDT
Great, thanks.

Note You need to log in before you can comment on or make changes to this bug.